## dfsbuild 0.6.8

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-89/Makefile ===
# arch-tag: Primary makefile
# Copyright (c) 2004 John Goerzen
#
PACKAGES := -package shell -package missinglib -I . -I bootloaders -I utils
all:	.depend dfsbuild lib lib/linuxrc lib/startup lib/dfs.html/index.html \
	lib/dfs.pdf lib/dfs.ps lib/dfs.txt lib/dfshelp lib/dfshints \
	lib/home.html lib/dfsbuildinfo

lib:
	if [ ! -d lib ] ; then mkdir lib; fi

clean:
	-cd doc && scons -c && scons -c html pdf text ps
	-rm -rf dfsbuild lib doc/.sconsign .depend test dfsbuild.bc
	-rm -f `find . -name "*.cm*"` doc/manpage* doc/*.1
	-rm -f `find . -name "*~"` `find . -name "*.o"`


dfsbuild: utils/dfsutils.cmx utils/unixutil.cmx utils/shellutil.cmx \
	archsupport.cmx mirror.cmx \
	configfiles.cmx bootloaders/bootloaderutil.cmx \
	bootloaders/grub.cmx bootloaders/aboot.cmx \
	bootloaders/yaboot.cmx \
	bootloaders/bootloader.cmx \
	dfsbuild.cmx
	ocamlfind ocamlopt $(PACKAGES) -linkpkg \
		-o $@ $^


dfsbuild.bc: utils/dfsutils.cmo utils/unixutil.cmo utils/shellutil.cmo \
	archsupport.cmo mirror.cmo \
	configfiles.cmo bootloaders/bootloaderutil.cmx \
	bootloaders/grub.cmo bootloaders/aboot.cmo \
	bootloaders/yaboot.cmo \
	bootloaders/bootloader.cmo \
	dfsbuild.cmo
	ocamlfind ocamlc -g $(PACKAGES) -linkpkg \
		-o $@ $^

test: utils/dfsutils.cmx utils/unixutil.cmx utils/shellutil.cmx  test.cmx
	ocamlfind ocamlopt -compact $(PACKAGES) -linkpkg \
		-o $@ $^


lib/dfshelp: libsrc/dfshelp
	cp $^  $@

lib/dfshints: libsrc/dfshints
	cp $^ $@

lib/home.html: libsrc/home.html
	cp $^ $@

lib/dfsbuildinfo: libsrc/dfsbuildinfo
	cp $^ $@

lib/linuxrc: utils/dfsutils.cmx utils/unixutil.cmx utils/shellutil.cmx \
	libsrc/linuxrc.cmx
	ocamlfind ocamlopt -compact -cclib -static -cclib --unresolved-symbols=ignore-all \
	$(PACKAGES) -linkpkg \
		-o $@ $^
	strip -s $@

lib/startup: utils/dfsutils.cmx utils/unixutil.cmx utils/shellutil.cmx \
	libsrc/startup.cmx
	ocamlfind ocamlopt -compact -cclib -static -cclib --unresolved-symbols=ignore-all \
	$(PACKAGES) -linkpkg -o $@ $^
	strip -s $@

%.cmx: %.ml
	ocamlfind ocamlopt -compact $(PACKAGES) -warn-error A -c -o $@ $<

%.cmo: %.ml
	ocamlfind ocamlc -g $(PACKAGES) -warn-error A -c -o $@ $<

lib/dfs.html/index.html: doc/dfs.sgml lib
	-rm -r lib/dfs.html
	cd doc && scons html
	cp -r doc/html lib/dfs.html
	for FILE in lib/dfs.html/*.html; do \
		lynx -dump -nolist $$FILE > $$FILE.txt; done

lib/dfs.pdf: doc/dfs.sgml lib
	cd doc && scons pdf
	cp doc/dfs.pdf lib

lib/dfs.ps: doc/dfs.sgml lib
	cd doc && scons ps
	cp doc/dfs.ps lib

lib/dfs.txt: doc/dfs.sgml lib
	cd doc && scons text
	cp doc/dfs.txt lib

.depend:
	ocamldep -I . -I bootloaders -I utils `find . -name "*.ml"` > .depend

-include .depend

=== debian/changelog ===
dfsbuild (0.6.8) unstable; urgency=low

  * Bumped to libmissinglib-ocaml-dev 0.4.1.  Removed duplicate code.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 17 Jun 2004 20:22:01 -0500

dfsbuild (0.6.7) unstable; urgency=low

  * Added UCF support from Robert Jordens.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Jun 2004 07:40:42 -0500

dfsbuild (0.6.6) unstable; urgency=low

  * Added build-dep on xpdf-utils.  Closes: #253853.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Jun 2004 07:26:05 -0500

dfsbuild (0.6.5) unstable; urgency=low

  * Updated to use MissingLib 0.4.0.  Reduced some code complexity
    and removed some now-obsolete code.  Closes: #253586.
  * i386 image: 0.6.3 image lacked amd64 packages.  Fixed.
  * i386 image: Added support for Compaq array controllers.

 -- John Goerzen <jgoerzen@complete.org>  Sat,  5 Jun 2004 21:22:13 -0500

dfsbuild (0.6.4) unstable; urgency=low

  * Various fixes for Alpha.  Ramdisk size specification for i386
    and Alpha.  nodma for Alpha.
  * Merged in experimental PowerPC/Yaboot support from
    Robert Jordens <jordens@debian.org>
  * Added Alpha/SRM info to manual
  * Fixed Depends line in dfsbuild .deb.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  1 Jun 2004 21:16:15 -0500

dfsbuild (0.6.3) unstable; urgency=low

  * Modularized bootloader code.
  * Introduced support for Alpha and aboot.
  * Eliminated dependency on Cash.
  * Compression now works.  DFS image now compressed.  Saves over 200MB
    in the ISO.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 27 May 2004 20:18:26 -0500 

dfsbuild (0.6.2) unstable; urgency=low

  * New release.  Now includes working df, less stuff running on bootup,
    new packages (mdadm, screen, etc), more.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 26 May 2004 13:26:20 -0500

dfsbuild (0.6.1) unstable; urgency=low

  * Initial Release.  Closes: #250876.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 25 May 2004 10:59:15 -0500

=== debian/control ===
Source: dfsbuild
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, ocaml, libextlib-ocaml-dev, libequeue-ocaml-dev, libmissinglib-ocaml-dev (>= 0.4.1), xpdf-utils, bash
Standards-Version: 3.6.0

Package: dfsbuild
Architecture: i386 alpha powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), debconf, cdebootstrap, mkisofs, apt-move, cramfsprogs, ${dep${Arch}}
Description: Build Debian From Scratch CD/DVD images
 Debian From Scratch (DFS) is a live bootable CD that is designed to
 provide a fully-featured kernel and a fully-featured rescue environment.
 The rescue environment contains filesystem tools, editors, C development
 environment, etc.
 .
 dfsbuild is the program used to create the DFS CD image.  It is highly
 configurable and can be used to create other custom bootable CD or DVD
 images.  You can use dfsbuild to do something as simple as building a
 DFS CD with a custom kernel.  Or, you can customize the CD to include a
 completely different set of packages.
 .
 dfsbuild works by obtaining packages from your nearest Debian mirror.
 It will generate an ISO image that contains a bootable Debian system
 generated by installing those packages.  Also, it can place all the .debs
 and files needed by cdebootstrap in the image.  Thus, the
 generated image can be used to install the base Debian system on a PC as
 well.
 .
 On i386 and amd64 platforms, dfsbuild supports the Grub bootloader.
 .
 On Alpha, dfsbuild supports the aboot bootloader.
 .
 On PowerPC, dfsbuild supports the yaboot bootloader.

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-80/debian/control ===
Source: dfsbuild
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, ocaml, libextlib-ocaml-dev, libequeue-ocaml-dev, libmissinglib-ocaml-dev (>= 0.4.0)
Standards-Version: 3.6.0

Package: dfsbuild
Architecture: i386 alpha powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, cdebootstrap, mkisofs, apt-move, cramfsprogs, ${dep${Arch}}
Description: Build Debian From Scratch CD/DVD images
 Debian From Scratch (DFS) is a live bootable CD that is designed to
 provide a fully-featured kernel and a fully-featured rescue environment.
 The rescue environment contains filesystem tools, editors, C development
 environment, etc.
 .
 dfsbuild is the program used to create the DFS CD image.  It is highly
 configurable and can be used to create other custom bootable CD or DVD
 images.  You can use dfsbuild to do something as simple as building a
 DFS CD with a custom kernel.  Or, you can customize the CD to include a
 completely different set of packages.
 .
 dfsbuild works by obtaining packages from your nearest Debian mirror.
 It will generate an ISO image that contains a bootable Debian system
 generated by installing those packages.  Also, it can place all the .debs
 and files needed by cdebootstrap in the image.  Thus, the
 generated image can be used to install the base Debian system on a PC as
 well.
 .
 On i386 and amd64 platforms, dfsbuild supports the Grub bootloader.
 .
 On Alpha, dfsbuild supports the aboot bootloader.
 .
 On PowerPC, dfsbuild supports the yaboot bootloader.

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-95/debian/control ===
Source: dfsbuild
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, ocaml, libextlib-ocaml-dev, libequeue-ocaml-dev, libmissinglib-ocaml-dev (>= 0.4.1), xpdf-utils
Standards-Version: 3.6.0

Package: dfsbuild
Architecture: i386 alpha powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), debconf, cdebootstrap, mkisofs, apt-move, cramfsprogs, ${dep${Arch}}
Description: Build Debian From Scratch CD/DVD images
 Debian From Scratch (DFS) is a live bootable CD that is designed to
 provide a fully-featured kernel and a fully-featured rescue environment.
 The rescue environment contains filesystem tools, editors, C development
 environment, etc.
 .
 dfsbuild is the program used to create the DFS CD image.  It is highly
 configurable and can be used to create other custom bootable CD or DVD
 images.  You can use dfsbuild to do something as simple as building a
 DFS CD with a custom kernel.  Or, you can customize the CD to include a
 completely different set of packages.
 .
 dfsbuild works by obtaining packages from your nearest Debian mirror.
 It will generate an ISO image that contains a bootable Debian system
 generated by installing those packages.  Also, it can place all the .debs
 and files needed by cdebootstrap in the image.  Thus, the
 generated image can be used to install the base Debian system on a PC as
 well.
 .
 On i386 and amd64 platforms, dfsbuild supports the Grub bootloader.
 .
 On Alpha, dfsbuild supports the aboot bootloader.
 .
 On PowerPC, dfsbuild supports the yaboot bootloader.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

RDIR=$(CURDIR)/debian/dfsbuild
DOCDIR=$(RDIR)/usr/share/doc/dfsbuild
LIBDIR=$(RDIR)/usr/lib/dfsbuild
SHAREDIR=$(RDIR)/usr/share/dfsbuild
SHELL=/bin/bash


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cd doc && scons manpages
	#/usr/bin/docbook-to-man debian/dfsbuild.sgml > dfsbuild.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/dfsbuild.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/dfsbuild
	cp -r lib $(LIBDIR)
	ln -s /usr/lib/dfsbuild/dfs.html $(DOCDIR)/html
	cp dfsbuild $(RDIR)/usr/bin/
	cp dfs.cfg $(SHAREDIR)
	cp COPYRIGHT $(DOCDIR)/copyright
	chmod a-x $(LIBDIR)/{linuxrc,startup}
	strip -s $(LIBDIR)/{linuxrc,startup}


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs doc/*.ps doc/*.pdf doc/*.txt
	dh_installexamples
#	dh_instal
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman doc/dfsbuild.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- \
		"-Vdepi386=grub" \
		"-Vdepalpha=aboot" \
		"-Vdeppowerpc=yaboot, mkvmlinuz"
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-89/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

RDIR=$(CURDIR)/debian/dfsbuild
DOCDIR=$(RDIR)/usr/share/doc/dfsbuild
LIBDIR=$(RDIR)/usr/lib/dfsbuild


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cd doc && scons manpages
	#/usr/bin/docbook-to-man debian/dfsbuild.sgml > dfsbuild.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/dfsbuild.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/dfsbuild
	cp -r lib $(LIBDIR)
	ln -s /usr/lib/dfsbuild/dfs.html $(DOCDIR)/html
	cp dfsbuild $(RDIR)/usr/bin/
	cp dfs.cfg $(RDIR)/etc/dfsbuild/
	cp COPYRIGHT $(DOCDIR)/copyright
	chmod a-x $(LIBDIR)/{linuxrc,startup}
	strip -s $(LIBDIR)/{linuxrc,startup}


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs doc/*.ps doc/*.pdf doc/*.txt
	dh_installexamples
#	dh_instal
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman doc/dfsbuild.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- \
		"-Vdepi386=grub" \
		"-Vdepalpha=aboot" \
		"-Vdeppowerpc=yaboot, mkvmlinuz"
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-95/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

RDIR=$(CURDIR)/debian/dfsbuild
DOCDIR=$(RDIR)/usr/share/doc/dfsbuild
LIBDIR=$(RDIR)/usr/lib/dfsbuild
SHAREDIR=$(RDIR)/usr/share/dfsbuild


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cd doc && scons manpages
	#/usr/bin/docbook-to-man debian/dfsbuild.sgml > dfsbuild.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/dfsbuild.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/dfsbuild
	cp -r lib $(LIBDIR)
	ln -s /usr/lib/dfsbuild/dfs.html $(DOCDIR)/html
	cp dfsbuild $(RDIR)/usr/bin/
	cp dfs.cfg $(SHAREDIR)
	cp COPYRIGHT $(DOCDIR)/copyright
	chmod a-x $(LIBDIR)/{linuxrc,startup}
	strip -s $(LIBDIR)/{linuxrc,startup}


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs doc/*.ps doc/*.pdf doc/*.txt
	dh_installexamples
#	dh_instal
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman doc/dfsbuild.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- \
		"-Vdepi386=grub" \
		"-Vdepalpha=aboot" \
		"-Vdeppowerpc=yaboot, mkvmlinuz"
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dfsbuild 0.6.17

=== Makefile ===
# arch-tag: Primary makefile
# Copyright (c) 2004 John Goerzen
#
PACKAGES := -package shell -package missinglib -I . -I bootloaders -I utils
all:	.depend dfsbuild lib lib/linuxrc lib/startup lib/dfs.html/index.html \
	lib/dfs.pdf lib/dfs.ps lib/dfs.txt lib/dfshelp lib/dfshints \
	lib/home.html lib/dfsbuildinfo

lib:
	if [ ! -d lib ] ; then mkdir lib; fi

clean:
	-cd doc && scons -c && scons -c html pdf text ps
	-rm -rf dfsbuild lib doc/.sconsign .depend test dfsbuild.bc
	-rm -f `find . -name "*.cm*"` doc/manpage* doc/*.1
	-rm -f `find . -name "*~"` `find . -name "*.o"`


dfsbuild: utils/dfsutils.cmx utils/shellutil.cmx \
	archsupport.cmx mirror.cmx \
	configfiles.cmx bootloaders/bootloaderutil.cmx \
	bootloaders/grub.cmx bootloaders/aboot.cmx \
	bootloaders/yaboot.cmx \
	bootloaders/bootloader.cmx \
	dfsbuild.cmx
	ocamlfind ocamlopt $(PACKAGES) -linkpkg \
		-o $@ $^


dfsbuild.bc: utils/dfsutils.cmo utils/shellutil.cmo \
	archsupport.cmo mirror.cmo \
	configfiles.cmo bootloaders/bootloaderutil.cmx \
	bootloaders/grub.cmo bootloaders/aboot.cmo \
	bootloaders/yaboot.cmo \
	bootloaders/bootloader.cmo \
	dfsbuild.cmo
	ocamlfind ocamlc -g $(PACKAGES) -linkpkg \
		-o $@ $^

test: utils/dfsutils.cmx utils/shellutil.cmx  test.cmx
	ocamlfind ocamlopt -compact $(PACKAGES) -linkpkg \
		-o $@ $^


lib/dfshelp: libsrc/dfshelp
	cp $^  $@

lib/dfshints: libsrc/dfshints
	cp $^ $@

lib/home.html: libsrc/home.html
	cp $^ $@

lib/dfsbuildinfo: libsrc/dfsbuildinfo
	cp $^ $@

lib/linuxrc: utils/dfsutils.cmx utils/shellutil.cmx \
	libsrc/linuxrc.cmx
	ocamlfind ocamlopt -compact -cclib -static -cclib --unresolved-symbols=ignore-all \
	$(PACKAGES) -linkpkg \
		-o $@ $^
	strip -s $@

lib/startup: utils/dfsutils.cmx utils/shellutil.cmx \
	libsrc/startup.cmx
	ocamlfind ocamlopt -compact -cclib -static -cclib --unresolved-symbols=ignore-all \
	$(PACKAGES) -linkpkg -o $@ $^
	strip -s $@

%.cmx: %.ml
	ocamlfind ocamlopt -compact $(PACKAGES) -warn-error A -c -o $@ $<

%.cmo: %.ml
	ocamlfind ocamlc -g $(PACKAGES) -warn-error A -c -o $@ $<

lib/dfs.html/index.html: doc/dfs.sgml lib
	-rm -r lib/dfs.html
	cd doc && scons html
	cp -r doc/html lib/dfs.html
	for FILE in lib/dfs.html/*.html; do \
		lynx -dump -nolist $$FILE > $$FILE.txt; done

lib/dfs.pdf: doc/dfs.sgml lib
	cd doc && scons pdf
	cp doc/dfs.pdf lib

lib/dfs.ps: doc/dfs.sgml lib
	cd doc && scons ps
	cp doc/dfs.ps lib

lib/dfs.txt: doc/dfs.sgml lib
	cd doc && scons text
	cp doc/dfs.txt lib

.depend:
	ocamldep -I . -I bootloaders -I utils `find . -name "*.ml"` > .depend

-include .depend

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-12/Makefile ===
# arch-tag: Primary makefile
# Copyright (c) 2004 John Goerzen
#
PACKAGES := -package shell -package missinglib
all:	dfsbuild lib lib/linuxrc lib/startup lib/dfs.html/index.html \
	lib/dfs.pdf lib/dfs.ps lib/dfs.txt lib/dfshelp lib/dfshints \
	lib/home.html lib/dfsbuildinfo

lib:
	if [ ! -d lib ] ; then mkdir lib; fi

clean:
	-cd doc && scons -c && scons -c html pdf text ps
	-rm -rf dfsbuild lib doc/.sconsign
	-rm -f `find . -name "*.cm*"`
	-rm -f `find . -name "*~"` `find . -name "*.o"`


dfsbuild: dfsutils.cmx cashutil.cmx mirror.cmx configfiles.cmx dfsbuild.cmx
	ocamlfind ocamlopt $(PACKAGES) -package pcre -linkpkg \
		camlp4/camlp4.cmxa cash.cmxa -o $@ $^

test: cashutil.cmx mirror.cmx test.cmx
	ocamlfind ocamlopt $(PACKAGES) -package pcre -linkpkg \
		camlp4/camlp4.cmxa cash.cmxa -o $@ $^

lib/linuxrc.cmx: dfsutils.cmx shellutil.cmx
lib/startup.cmx: dfsutils.cmx shellutil.cmx

mirror.cmx: dfsutils.cmx shellutil.cmx
mirror.cmo: dfsutils.cmo shellutil.cmo

lib/dfshelp: libsrc/dfshelp
	cp $^  $@

lib/dfshints: libsrc/dfshints
	cp $^ $@

lib/home.html: libsrc/home.html
	cp $^ $@

lib/dfsbuildinfo: libsrc/dfsbuildinfo
	cp $^ $@

lib/linuxrc: dfsutils.cmx shellutil.cmx libsrc/linuxrc.cmx
	ocamlfind ocamlopt -cclib -static -cclib --unresolved-symbols=ignore-all \
	$(PACKAGES) -linkpkg \
		-o $@ $^
	strip -s $@

lib/startup: dfsutils.cmx shellutil.cmx libsrc/startup.cmx
	ocamlfind ocamlopt -cclib -static -cclib --unresolved-symbols=ignore-all \
	$(PACKAGES) -linkpkg -o $@ $^
	strip -s $@

dfsbuild.cmx: cashutil.cmx configfiles.cmx

%.cmx: %.ml
	ocamlfind ocamlopt $(PACKAGES) -warn-error A -c -o $@ $<

%.cmo: %.ml
	ocamlfind ocamlc $(PACKAGES) -warn-error A -c -o $@ $<

lib/dfs.html/index.html: doc/dfs.sgml lib
	-rm -r lib/dfs.html
	cd doc && scons html
	cp -r doc/html lib/dfs.html
	for FILE in lib/dfs.html/*.html; do \
		lynx -dump -nolist $$FILE > $$FILE.txt; done

lib/dfs.pdf: doc/dfs.sgml lib
	cd doc && scons pdf
	cp doc/dfs.pdf lib

lib/dfs.ps: doc/dfs.sgml lib
	cd doc && scons ps
	cp doc/dfs.ps lib

lib/dfs.txt: doc/dfs.sgml lib
	cd doc && scons text
	cp doc/dfs.txt lib

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-26/Makefile ===
# arch-tag: Primary makefile
# Copyright (c) 2004 John Goerzen
#
PACKAGES := -package shell -package missinglib
all:	dfsbuild lib lib/linuxrc lib/startup lib/dfs.html/index.html \
	lib/dfs.pdf lib/dfs.ps lib/dfs.txt lib/dfshelp lib/dfshints \
	lib/home.html lib/dfsbuildinfo

lib:
	if [ ! -d lib ] ; then mkdir lib; fi

clean:
	-cd doc && scons -c && scons -c html pdf text ps
	-rm -rf dfsbuild lib doc/.sconsign
	-rm -f `find . -name "*.cm*"` doc/manpage* doc/*.1
	-rm -f `find . -name "*~"` `find . -name "*.o"`


dfsbuild: dfsutils.cmx cashutil.cmx mirror.cmx configfiles.cmx bootloader.cmx dfsbuild.cmx
	ocamlfind ocamlopt $(PACKAGES) -package pcre -linkpkg \
		camlp4/camlp4.cmxa cash.cmxa -o $@ $^

test: cashutil.cmx mirror.cmx test.cmx
	ocamlfind ocamlopt $(PACKAGES) -package pcre -linkpkg \
		camlp4/camlp4.cmxa cash.cmxa -o $@ $^

lib/linuxrc.cmx: dfsutils.cmx shellutil.cmx
lib/startup.cmx: dfsutils.cmx shellutil.cmx

mirror.cmx: dfsutils.cmx shellutil.cmx
mirror.cmo: dfsutils.cmo shellutil.cmo

lib/dfshelp: libsrc/dfshelp
	cp $^  $@

lib/dfshints: libsrc/dfshints
	cp $^ $@

lib/home.html: libsrc/home.html
	cp $^ $@

lib/dfsbuildinfo: libsrc/dfsbuildinfo
	cp $^ $@

lib/linuxrc: dfsutils.cmx shellutil.cmx libsrc/linuxrc.cmx
	ocamlfind ocamlopt -cclib -static -cclib --unresolved-symbols=ignore-all \
	$(PACKAGES) -linkpkg \
		-o $@ $^
	strip -s $@

lib/startup: dfsutils.cmx shellutil.cmx libsrc/startup.cmx
	ocamlfind ocamlopt -cclib -static -cclib --unresolved-symbols=ignore-all \
	$(PACKAGES) -linkpkg -o $@ $^
	strip -s $@

dfsbuild.cmx: cashutil.cmx configfiles.cmx

%.cmx: %.ml
	ocamlfind ocamlopt $(PACKAGES) -warn-error A -c -o $@ $<

%.cmo: %.ml
	ocamlfind ocamlc $(PACKAGES) -warn-error A -c -o $@ $<

lib/dfs.html/index.html: doc/dfs.sgml lib
	-rm -r lib/dfs.html
	cd doc && scons html
	cp -r doc/html lib/dfs.html
	for FILE in lib/dfs.html/*.html; do \
		lynx -dump -nolist $$FILE > $$FILE.txt; done

lib/dfs.pdf: doc/dfs.sgml lib
	cd doc && scons pdf
	cp doc/dfs.pdf lib

lib/dfs.ps: doc/dfs.sgml lib
	cd doc && scons ps
	cp doc/dfs.ps lib

lib/dfs.txt: doc/dfs.sgml lib
	cd doc && scons text
	cp doc/dfs.txt lib

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-48/Makefile ===
# arch-tag: Primary makefile
# Copyright (c) 2004 John Goerzen
#
PACKAGES := -package shell -package missinglib -I . -I bootloaders -I utils
all:	.depend dfsbuild lib lib/linuxrc lib/startup lib/dfs.html/index.html \
	lib/dfs.pdf lib/dfs.ps lib/dfs.txt lib/dfshelp lib/dfshints \
	lib/home.html lib/dfsbuildinfo

lib:
	if [ ! -d lib ] ; then mkdir lib; fi

clean:
	-cd doc && scons -c && scons -c html pdf text ps
	-rm -rf dfsbuild lib doc/.sconsign .depend test
	-rm -f `find . -name "*.cm*"` doc/manpage* doc/*.1
	-rm -f `find . -name "*~"` `find . -name "*.o"`


dfsbuild: utils/dfsutils.cmx utils/unixutil.cmx utils/shellutil.cmx \
	archsupport.cmx mirror.cmx \
	configfiles.cmx bootloaders/grub.cmx bootloaders/aboot.cmx \
	bootloaders/bootloader.cmx \
	dfsbuild.cmx
	ocamlfind ocamlopt $(PACKAGES) -linkpkg \
		-o $@ $^

test: utils/dfsutils.cmx utils/unixutil.cmx utils/shellutil.cmx  test.cmx
	ocamlfind ocamlopt -compact $(PACKAGES) -linkpkg \
		-o $@ $^


lib/dfshelp: libsrc/dfshelp
	cp $^  $@

lib/dfshints: libsrc/dfshints
	cp $^ $@

lib/home.html: libsrc/home.html
	cp $^ $@

lib/dfsbuildinfo: libsrc/dfsbuildinfo
	cp $^ $@

lib/linuxrc: utils/dfsutils.cmx utils/unixutil.cmx utils/shellutil.cmx \
	libsrc/linuxrc.cmx
	ocamlfind ocamlopt -compact -cclib -static -cclib --unresolved-symbols=ignore-all \
	$(PACKAGES) -linkpkg \
		-o $@ $^
	strip -s $@

lib/startup: utils/dfsutils.cmx utils/unixutil.cmx utils/shellutil.cmx \
	libsrc/startup.cmx
	ocamlfind ocamlopt -compact -cclib -static -cclib --unresolved-symbols=ignore-all \
	$(PACKAGES) -linkpkg -o $@ $^
	strip -s $@

%.cmx: %.ml
	ocamlfind ocamlopt -compact $(PACKAGES) -warn-error A -c -o $@ $<

%.cmo: %.ml
	ocamlfind ocamlc -g $(PACKAGES) -warn-error A -c -o $@ $<

lib/dfs.html/index.html: doc/dfs.sgml lib
	-rm -r lib/dfs.html
	cd doc && scons html
	cp -r doc/html lib/dfs.html
	for FILE in lib/dfs.html/*.html; do \
		lynx -dump -nolist $$FILE > $$FILE.txt; done

lib/dfs.pdf: doc/dfs.sgml lib
	cd doc && scons pdf
	cp doc/dfs.pdf lib

lib/dfs.ps: doc/dfs.sgml lib
	cd doc && scons ps
	cp doc/dfs.ps lib

lib/dfs.txt: doc/dfs.sgml lib
	cd doc && scons text
	cp doc/dfs.txt lib

.depend:
	ocamldep -I . -I bootloaders -I utils `find . -name "*.ml"` > .depend

-include .depend

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-77/Makefile ===
# arch-tag: Primary makefile
# Copyright (c) 2004 John Goerzen
#
PACKAGES := -package shell -package missinglib -I . -I bootloaders -I utils
all:	.depend dfsbuild lib lib/linuxrc lib/startup lib/dfs.html/index.html \
	lib/dfs.pdf lib/dfs.ps lib/dfs.txt lib/dfshelp lib/dfshints \
	lib/home.html lib/dfsbuildinfo

lib:
	if [ ! -d lib ] ; then mkdir lib; fi

clean:
	-cd doc && scons -c && scons -c html pdf text ps
	-rm -rf dfsbuild lib doc/.sconsign .depend test dfsbuild.bc
	-rm -f `find . -name "*.cm*"` doc/manpage* doc/*.1
	-rm -f `find . -name "*~"` `find . -name "*.o"`


dfsbuild: utils/dfsutils.cmx utils/unixutil.cmx utils/shellutil.cmx \
	archsupport.cmx mirror.cmx \
	configfiles.cmx bootloaders/bootloaderutil.cmx \
	bootloaders/grub.cmx bootloaders/aboot.cmx \
	bootloaders/yaboot.cmx \
	bootloaders/bootloader.cmx \
	dfsbuild.cmx
	ocamlfind ocamlopt $(PACKAGES) -linkpkg \
		-o $@ $^


dfsbuild.bc: utils/dfsutils.cmo utils/unixutil.cmo utils/shellutil.cmo \
	archsupport.cmo mirror.cmo \
	configfiles.cmo bootloaders/bootloaderutil.cmx \
	bootloaders/grub.cmo bootloaders/aboot.cmo \
	bootloaders/bootloader.cmo \
	dfsbuild.cmo
	ocamlfind ocamlc -g $(PACKAGES) -linkpkg \
		-o $@ $^

test: utils/dfsutils.cmx utils/unixutil.cmx utils/shellutil.cmx  test.cmx
	ocamlfind ocamlopt -compact $(PACKAGES) -linkpkg \
		-o $@ $^


lib/dfshelp: libsrc/dfshelp
	cp $^  $@

lib/dfshints: libsrc/dfshints
	cp $^ $@

lib/home.html: libsrc/home.html
	cp $^ $@

lib/dfsbuildinfo: libsrc/dfsbuildinfo
	cp $^ $@

lib/linuxrc: utils/dfsutils.cmx utils/unixutil.cmx utils/shellutil.cmx \
	libsrc/linuxrc.cmx
	ocamlfind ocamlopt -compact -cclib -static -cclib --unresolved-symbols=ignore-all \
	$(PACKAGES) -linkpkg \
		-o $@ $^
	strip -s $@

lib/startup: utils/dfsutils.cmx utils/unixutil.cmx utils/shellutil.cmx \
	libsrc/startup.cmx
	ocamlfind ocamlopt -compact -cclib -static -cclib --unresolved-symbols=ignore-all \
	$(PACKAGES) -linkpkg -o $@ $^
	strip -s $@

%.cmx: %.ml
	ocamlfind ocamlopt -compact $(PACKAGES) -warn-error A -c -o $@ $<

%.cmo: %.ml
	ocamlfind ocamlc -g $(PACKAGES) -warn-error A -c -o $@ $<

lib/dfs.html/index.html: doc/dfs.sgml lib
	-rm -r lib/dfs.html
	cd doc && scons html
	cp -r doc/html lib/dfs.html
	for FILE in lib/dfs.html/*.html; do \
		lynx -dump -nolist $$FILE > $$FILE.txt; done

lib/dfs.pdf: doc/dfs.sgml lib
	cd doc && scons pdf
	cp doc/dfs.pdf lib

lib/dfs.ps: doc/dfs.sgml lib
	cd doc && scons ps
	cp doc/dfs.ps lib

lib/dfs.txt: doc/dfs.sgml lib
	cd doc && scons text
	cp doc/dfs.txt lib

.depend:
	ocamldep -I . -I bootloaders -I utils `find . -name "*.ml"` > .depend

-include .depend

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-12/doc/SConstruct ===
# Copyright (C) 2004 John Goerzen <jgoerzen@complete.org>
# arch-tag: primary build for docs
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

env = Environment()
env.Export("env")
env.Append(MASTERBASE = 'dfs', TOPNODE = 'dfs', DOINDEX = 1,
        PDFARGS = '-s local=printlocal')

execfile('sgml-common/SConstruct')

=== debian/changelog ===
dfsbuild (0.6.17) unstable; urgency=medium

  * Depend on a version of apt-move with the gawk workaround in it.
    Remove manpage section on gawk.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Nov 2004 16:20:16 -0600

dfsbuild (0.6.16) unstable; urgency=low

  * Added note to manpage explaining that dfsbuild does not support
    woody.  Closes: #277100, #254762.
  * Added note to manpage about gawk bug.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Nov 2004 12:20:35 -0600

dfsbuild (0.6.15) unstable; urgency=low

  * Updated dfs.cfg for more recent kernels.
  * Removed kernel-patch-uml and partimage, which are no longer in testing.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 28 Oct 2004 11:04:37 -0500

dfsbuild (0.6.14) unstable; urgency=low

  * Added patch from Ken Yamaguchi to wait for USB devices to settle.
  * Really get the grub path changed.  Closes: #277483.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 18 Aug 2004 16:45:00 -0500

dfsbuild (0.6.13) unstable; urgency=low

  * [grub] Change /usr/lib/grub to /lib/grub in keeping with new grub
    package paths
  * Changed ircii to epic4 in default configuration since ircii has
    an interactive postinst
  * Sort the grub options

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Aug 2004 09:24:12 -0500

dfsbuild (0.6.12) unstable; urgency=medium

  * Add dar to default config.  Closes: #257818.
  * Experimental support for running on native amd64.  Closes: #254931.
  * Include dfsbuild itself in generated image.
  * medium urgency upload to help move into testing. (0.6.11 still in
    incoming)

 -- John Goerzen <jgoerzen@complete.org>  Tue, 10 Aug 2004 09:05:25 -0500

dfsbuild (0.6.11) unstable; urgency=medium

  * [jordens] [powerpc] since mkisofs doesn't seem to bless directories on 
    hfs hybrid filesystem successfully, leave the image --hfs-unlocked and
    bless with hfsutils afterwards
  * medium urgency upload to help get the 0.6.10 important fix into testing.

 -- John Goerzen <jgoerzen@complete.org>  Sat,  7 Aug 2004 21:17:57 +0200

dfsbuild (0.6.10) unstable; urgency=low

  * Accept relative path for -w.  Closes: #254723.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  6 Aug 2004 16:53:42 -0500

dfsbuild (0.6.9) unstable; urgency=low

  * Updated for OCaml 3.08; now build-deps on ocaml-nox instead of
    ocaml.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  2 Aug 2004 08:48:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, ocaml, libextlib-ocaml-dev, libequeue-ocaml-dev, libmissinglib-ocaml-dev (>= 0.4.1), xpdf-utils, bash
+Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, ocaml-nox, libextlib-ocaml-dev, libequeue-ocaml-dev, libmissinglib-ocaml-dev (>= 0.4.7), xpdf-utils, bash
 Standards-Version: 3.6.0
 
 Package: dfsbuild
-Architecture: i386 alpha powerpc
-Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), debconf, cdebootstrap, mkisofs, apt-move, cramfsprogs, ${dep${Arch}}
+Architecture: i386 alpha powerpc amd64
+Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), debconf, cdebootstrap, mkisofs, apt-move (>= 4.2.22.1), cramfsprogs, ${dep${Arch}}, bash
 Description: Build Debian From Scratch CD/DVD images
  Debian From Scratch (DFS) is a live bootable CD that is designed to
  provide a fully-featured kernel and a fully-featured rescue environment.

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-107/debian/control ===
Source: dfsbuild
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, ocaml-nox, libextlib-ocaml-dev, libequeue-ocaml-dev, libmissinglib-ocaml-dev (>= 0.4.7), xpdf-utils
Standards-Version: 3.6.0

Package: dfsbuild
Architecture: i386 alpha powerpc amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), debconf, cdebootstrap, mkisofs, apt-move, cramfsprogs, ${dep${Arch}}
Description: Build Debian From Scratch CD/DVD images
 Debian From Scratch (DFS) is a live bootable CD that is designed to
 provide a fully-featured kernel and a fully-featured rescue environment.
 The rescue environment contains filesystem tools, editors, C development
 environment, etc.
 .
 dfsbuild is the program used to create the DFS CD image.  It is highly
 configurable and can be used to create other custom bootable CD or DVD
 images.  You can use dfsbuild to do something as simple as building a
 DFS CD with a custom kernel.  Or, you can customize the CD to include a
 completely different set of packages.
 .
 dfsbuild works by obtaining packages from your nearest Debian mirror.
 It will generate an ISO image that contains a bootable Debian system
 generated by installing those packages.  Also, it can place all the .debs
 and files needed by cdebootstrap in the image.  Thus, the
 generated image can be used to install the base Debian system on a PC as
 well.
 .
 On i386 and amd64 platforms, dfsbuild supports the Grub bootloader.
 .
 On Alpha, dfsbuild supports the aboot bootloader.
 .
 On PowerPC, dfsbuild supports the yaboot bootloader.

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-26/debian/control ===
Source: dfsbuild
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, ocaml, libcash-ocaml-dev, libextlib-ocaml-dev, libequeue-ocaml-dev
Standards-Version: 3.6.0

Package: dfsbuild
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, cdebootstrap, mkisofs, apt-move, grub
Description: Build Debian From Scratch CD/DVD images
 Debian From Scratch (DFS) is a live bootable CD that is designed to
 provide a fully-featured kernel and a fully-featured rescue environment.
 The rescue environment contains filesystem tools, editors, C development
 environment, etc.
 .
 dfsbuild is the program used to create the DFS CD image.  It is highly
 configurable and can be used to create other custom bootable CD or DVD
 images.  You can use dfsbuild to do something as simple as building a
 DFS CD with a custom kernel.  Or, you can customize the CD to include a
 completely different set of packages.
 .
 dfsbuild works by obtaining packages from your nearest Debian mirror.
 It will generate an ISO image that contains a bootable Debian system
 generated by installing those packages.  Also, it can place all the .debs
 and files needed by cdebootstrap in the image.  Thus, the
 generated image can be used to install the base Debian system on a PC as
 well.
 .
 dfsbuild currently supports bootloaders from i386 only, but could easily
 be extended to support other architectures.  The generated CD, however,
 works on amd64 as well.

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-48/debian/control ===
Source: dfsbuild
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, ocaml, libextlib-ocaml-dev, libequeue-ocaml-dev, libmissinglib-ocaml-dev
Standards-Version: 3.6.0

Package: dfsbuild
Architecture: i386 alpha
Depends: ${shlibs:Depends}, ${misc:Depends}, cdebootstrap, mkisofs, apt-move, grub [i386], aboot [alpha], yaboot [powerpc], cramfsprogs
Description: Build Debian From Scratch CD/DVD images
 Debian From Scratch (DFS) is a live bootable CD that is designed to
 provide a fully-featured kernel and a fully-featured rescue environment.
 The rescue environment contains filesystem tools, editors, C development
 environment, etc.
 .
 dfsbuild is the program used to create the DFS CD image.  It is highly
 configurable and can be used to create other custom bootable CD or DVD
 images.  You can use dfsbuild to do something as simple as building a
 DFS CD with a custom kernel.  Or, you can customize the CD to include a
 completely different set of packages.
 .
 dfsbuild works by obtaining packages from your nearest Debian mirror.
 It will generate an ISO image that contains a bootable Debian system
 generated by installing those packages.  Also, it can place all the .debs
 and files needed by cdebootstrap in the image.  Thus, the
 generated image can be used to install the base Debian system on a PC as
 well.
 .
 On i386 and amd64 platforms, dfsbuild supports the Grub bootloader.
 .
 On Alpha, dfsbuild supports the aboot bootloader.

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-77/debian/control ===
Source: dfsbuild
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, ocaml, libextlib-ocaml-dev, libequeue-ocaml-dev, libmissinglib-ocaml-dev
Standards-Version: 3.6.0

Package: dfsbuild
Architecture: i386 alpha powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, cdebootstrap, mkisofs, apt-move, cramfsprogs, ${dep${Arch}}
Description: Build Debian From Scratch CD/DVD images
 Debian From Scratch (DFS) is a live bootable CD that is designed to
 provide a fully-featured kernel and a fully-featured rescue environment.
 The rescue environment contains filesystem tools, editors, C development
 environment, etc.
 .
 dfsbuild is the program used to create the DFS CD image.  It is highly
 configurable and can be used to create other custom bootable CD or DVD
 images.  You can use dfsbuild to do something as simple as building a
 DFS CD with a custom kernel.  Or, you can customize the CD to include a
 completely different set of packages.
 .
 dfsbuild works by obtaining packages from your nearest Debian mirror.
 It will generate an ISO image that contains a bootable Debian system
 generated by installing those packages.  Also, it can place all the .debs
 and files needed by cdebootstrap in the image.  Thus, the
 generated image can be used to install the base Debian system on a PC as
 well.
 .
 On i386 and amd64 platforms, dfsbuild supports the Grub bootloader.
 .
 On Alpha, dfsbuild supports the aboot bootloader.
 .
 On PowerPC, dfsbuild supports the yaboot bootloader.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 DOCDIR=$(RDIR)/usr/share/doc/dfsbuild
 LIBDIR=$(RDIR)/usr/lib/dfsbuild
 SHAREDIR=$(RDIR)/usr/share/dfsbuild
-SHELL=/bin/bash
 
 
 CFLAGS = -Wall -g
@@ -104,8 +103,9 @@
 	dh_shlibdeps
 	dh_gencontrol -- \
 		"-Vdepi386=grub" \
+		"-Vdepamd64=grub" \
 		"-Vdepalpha=aboot" \
-		"-Vdeppowerpc=yaboot, mkvmlinuz"
+		"-Vdeppowerpc=yaboot, mkvmlinuz, hfsutils"
 	dh_md5sums
 	dh_builddeb

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-26/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

RDIR=$(CURDIR)/debian/dfsbuild
DOCDIR=$(RDIR)/usr/share/doc/dfsbuild
LIBDIR=$(RDIR)/usr/lib/dfsbuild


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cd doc && scons manpages
	#/usr/bin/docbook-to-man debian/dfsbuild.sgml > dfsbuild.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/dfsbuild.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/dfsbuild
	cp -r lib $(LIBDIR)
	ln -s /usr/lib/dfsbuild/dfs.html $(DOCDIR)/html
	cp dfsbuild $(RDIR)/usr/bin/
	cp dfs.cfg $(RDIR)/etc/dfsbuild/
	cp COPYRIGHT $(DOCDIR)/copyright
	chmod a-x $(LIBDIR)/{linuxrc,startup}
	strip -s $(LIBDIR)/{linuxrc,startup}


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs doc/*.ps doc/*.pdf doc/*.txt
	dh_installexamples
#	dh_instal
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman doc/dfsbuild.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== {arch}/++pristine-trees/unlocked/dfsbuild/dfsbuild--head/dfsbuild--head--0.5/jgoerzen@complete.org--projects/dfsbuild--head--0.5--patch-77/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

RDIR=$(CURDIR)/debian/dfsbuild
DOCDIR=$(RDIR)/usr/share/doc/dfsbuild
LIBDIR=$(RDIR)/usr/lib/dfsbuild


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cd doc && scons manpages
	#/usr/bin/docbook-to-man debian/dfsbuild.sgml > dfsbuild.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/dfsbuild.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/dfsbuild
	cp -r lib $(LIBDIR)
	ln -s /usr/lib/dfsbuild/dfs.html $(DOCDIR)/html
	cp dfsbuild $(RDIR)/usr/bin/
	cp dfs.cfg $(RDIR)/etc/dfsbuild/
	cp COPYRIGHT $(DOCDIR)/copyright
	chmod a-x $(LIBDIR)/{linuxrc,startup}
	strip -s $(LIBDIR)/{linuxrc,startup}


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs doc/*.ps doc/*.pdf doc/*.txt
	dh_installexamples
#	dh_instal
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman doc/dfsbuild.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- \
		"-Vdepi386=grub" \
		"-Vdepalpha=aboot" \
		"-Vdeppowerpc=yaboot"
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
